Viewing Gentrace v2 documentation View Gentrace v1
Viewing Gentrace v2 documentation View Gentrace v1
Retrieve the details of a experiment by ID
curl --request GET \
--url https://gentrace.ai/api/v4/experiments/{id} \
--header 'Authorization: Bearer <token>'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"name": "OpenAI o3-mini prompt",
"pipelineId": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"key": "value"
}
}Documentation Index
Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter Gentrace API key (Format: Authorization: Bearer )
Experiment UUID
"123e4567-e89b-12d3-a456-426614174000"
Successful response
Experiment UUID
"123e4567-e89b-12d3-a456-426614174000"
Creation timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Last update timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Friendly experiment name
"OpenAI o3-mini prompt"
Pipeline UUID
"123e4567-e89b-12d3-a456-426614174000"
Metadata
{ "key": "value" }curl --request GET \
--url https://gentrace.ai/api/v4/experiments/{id} \
--header 'Authorization: Bearer <token>'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"name": "OpenAI o3-mini prompt",
"pipelineId": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"key": "value"
}
}